%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-netty
Version:       3.2.5
Release:       %mkrel 1
Summary:       The Netty Project
Group:         Development/Java
License:       ASL 2.0
# https://github.com/netty/netty
Url:           http://www.jboss.org/netty/
# git clone git://github.com/netty/netty.git
# cd netty && git archive --format=tar --prefix=netty-3.2.5.Final/ netty-3.2.5.Final | xz > ../netty-3.2.5.Final.tar.xz
Source0:       netty-%{namedversion}.tar.xz
# remove
# org.jboss.maven.plugins maven-jdocbook-plugin 2.2.1
# org.jboss jbossorg-docbook-xslt jbossorg-jdocbook-style 1.1.0
# org.jboss jbossorg-fonts 1.0.0 type jdocbook-style
# R. maven-jdocbook-plugin
# xmlTransformerType saxon 1.72.0
# org.eclipse.wst.css core
# org.eclipse.wst.sse core

Patch0:        netty-3.2.5-pom_xml.patch
Patch1:        netty-3.2.5-no-jxr-plugin.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jboss-parent

BuildRequires: ant
BuildRequires: ant-contrib
BuildRequires: apache-commons-logging
BuildRequires: apiviz
BuildRequires: easymock2
BuildRequires: easymock2-classextension
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: jboss-logging-spi
BuildRequires: junit4
BuildRequires: liblog4j-java
BuildRequires: protobuf-java
BuildRequires: slf4j
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: cglib
BuildRequires: objenesis

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
#BuildRequires: maven-plugin-jxr
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      apache-commons-logging
Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      jboss-logging-spi
Requires:      liblog4j-java
Requires:      protobuf-java
Requires:      slf4j
Requires:      tomcat6-servlet-2.5-api

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
The Netty project is an effort to provide an asynchronous event-driven
network application framework and tools for rapid development of
maintainable high performance and high scalability protocol servers and
clients.  In other words, Netty is a NIO client server framework which
enables quick and easy development of network applications such as protocol
servers and clients. It greatly simplifies and streamlines network
programming such as TCP and UDP socket server.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n netty-%{namedversion}
%patch0 -p0
%patch1 -p0

# TODO
# maven-bundle-plugin
sed -i "s|<version>2.3.4</version>|<version>2.0.0</version>|" pom.xml
# maven-release-plugin
sed -i "s|<version>2.1</version>|<version>2.0</version>|" pom.xml
# ant-contrib
sed -i "s|<version>1.0b3</version>|<version>1.0</version>|" pom.xml

%build

mvn-rpmbuild install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/netty-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/netty.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-netty.pom
%add_maven_depmap JPP.jboss-netty.pom jboss/netty.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jboss/netty.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc COPYRIGHT.txt LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 21 2011 dmorgan <dmorgan> 3.2.5-1.mga2
+ Revision: 157118
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires

  + gil <gil>
    - imported package jboss-netty

